<?php

/**
 * Fired during plugin activation
 *
 * @link       https://thegetsmartgroup.com
 * @since      1.0.0
 *
 * @package    Latham_Liners
 * @subpackage Latham_Liners/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Latham_Liners
 * @subpackage Latham_Liners/includes
 * @author     Get Smart Group <plugins@thegetsmartgroup.com>
 */
class Latham_Liners_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
    // Create post object
    $create_liner_page = array(
      'post_title'    => wp_strip_all_tags( 'Latham Liner Visualizer' ),
      'post_author'   => 1,
      'post_content'  => '[latham_liners]',
      'post_status'   => 'publish',
      'post_type'     => 'page',
    );
		  
		  $page_check = get_page_by_path('latham-liner-visualizer');
		
    // Insert the post into the database
		
		if( !isset( $page_check ) ) {
    	wp_insert_post( $create_liner_page );
		}
	}

}
